Subject: Re: [PATCH net-next 01/11] ipv6: skb_put_zero() used to optimize code

From: Johannes Berg <[email-masked]>
Date: Wed, 14 Jun 2017 21:51:23 +0200

On Wed, 2017-06-14 at 12:14 -0700, Stephen Hemminger wrote:
> 
> > I just copied it from skb_put() - you could ask the same there? :)
> 
> My taste is to  have less casts. Never understood why so many skb_
> functions returned char *, probably a leftover from older Unix style.

I agree, for many of them it's awkward and I often just put a (void *)
cast in there ...

I guess we can just make them void, and if anyone wants it I can easily
cook up an spatch to remove casts.

johannes